Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.scripting.groovy
Class SoapUIGroovyScriptEngine

    java.lang.Object
      com.eviware.soapui.support.scripting.groovy.SoapUIGroovyScriptEngine

All Implemented Interfaces:
  SoapUIScriptEngine

    public class SoapUIGroovyScriptEngine

extends java.lang.Object
implements SoapUIScriptEngine

A Groovy ScriptEngine

Author:
  ole.matzura

Constructor Summary
`SoapUIGroovyScriptEngine(java.lang.ClassLoader parentClassLoader)`

Method Summary
`void` | `clearVariables()`
`void` | `compile()`
`protected groovy.lang.Binding` | `getBinding()`
`protected groovy.lang.GroovyClassLoader` | `getClassLoader()`
`protected groovy.lang.Script` | `getScript()`
`protected java.lang.String` | `getScriptText()`
`protected groovy.lang.GroovyShell` | `getShell()`
`void` | `release()`
`protected void` | `reset()`
`java.lang.Object` | `run()`
`void` | `setScript(java.lang.String scriptText)`
`void` | `setVariable(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUIGroovyScriptEngine

    public SoapUIGroovyScriptEngine(java.lang.ClassLoader parentClassLoader)

Method Detail

### run

    public java.lang.Object run()
                         throws java.lang.Exception

  Specified by:
    `run` in interface `SoapUIScriptEngine`
  Throws:
    `java.lang.Exception`

### setScript

    public void setScript(java.lang.String scriptText)

  Specified by:
    `setScript` in interface `SoapUIScriptEngine`

### compile

    public void compile()
                 throws java.lang.Exception

  Specified by:
    `compile` in interface `SoapUIScriptEngine`
  Throws:
    `java.lang.Exception`

### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setVariable` in interface `SoapUIScriptEngine`

### clearVariables

    public void clearVariables()

  Specified by:
    `clearVariables` in interface `SoapUIScriptEngine`

### release

    public void release()

  Specified by:
    `release` in interface `SoapUIScriptEngine`

### getBinding

    protected groovy.lang.Binding getBinding()

### getClassLoader

    protected groovy.lang.GroovyClassLoader getClassLoader()

### reset

    protected void reset()

### getScript

    protected groovy.lang.Script getScript()

### getScriptText

    protected java.lang.String getScriptText()

### getShell

    protected groovy.lang.GroovyShell getShell()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.